        body {
            margin: 0;
            padding: 0;
            overflow-x:hidden;
        }

        #bot-div {
            width: 100%;
            min-height: 33.33vh;
            display: flex;
            align-items: center;
            justify-content: center;
            color: white;
            font-size: 24px;
            position: relative;
            z-index: 1;
        }

        .mid-div {
            background-color: var(--darkBackground-colour);
            clip-path: polygon(0 0, 100% 6%, 100% 94%, 0 100%);
            width: 100%;
            min-height: 80vh;
            color: white;
            font-size: 24px;
            position: relative;
            z-index: 1;
            padding-left: 50px;
            padding-right: 50px;
            padding-bottom: 200px;
        }

.hero-tr {
    color: var(--secondary-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

        .hero-tr h1 {
            font-size: 6rem;
            margin-top: 50px;
            font-weight: bold;
            font-style: italic;
            line-height: 1.1;
        }

.hero-image-container {
    display: flex; 
    justify-content: flex-end; 
    align-items: center;
}

.hero-img {
    height:250px;
    width:100%;
}

#top-div {
    padding-left:50px;
    padding-right:50px;
}


.hero-br {
    color: white;
}

        .hero-br h6 {
            font-weight: bold;
            font-style: italic;

        }

        .hero-br h1 {
            font-weight: bold;
            font-style: italic;
            font-size: 3rem;
            color: var(--secondary-color);
        }

        .view-cat {
            border-radius: 20px;
            color: white;
            background-color: transparent;
            border: none;
            border: 1px solid white;
            height: 60px;
            width: 250px;
            display:flex;
            justify-content:center;
            align-items:center;
        }

            .view-cat:hover {
                text-decoration: none; 
            }

        .submit-ent {
            border-radius: 20px;
            text-decoration: none;
            background-color: var(--secondary-color);
            color: var(--background-colour);
            height: 60px;
            width: 250px;
            text-align: center;
            border: none;
            margin-right: 20px;

        }

            .submit-ent:hover {
                color: white !important;
                text-decoration: none;
            }

            .award-section {
                margin-bottom: 40px;
            }

        .section-title {
            padding: 10px;
            font-weight: bold;
            font-style: italic;
            color: var(--secondary-color);
            margin-bottom: 50px;
        }

        .categories,
        .description {
            padding: 10px;
            height: 350px;
            overflow-y: auto;
            margin: 5px;
            position: relative;
            width:100%;
        }

        .description {
            background-color: var(--background-colour);
            border-radius: 15px;

        }

        .description-wrapper {
            position: relative;
            width:100%;
        }

.categories-wrapper {
    position: relative;
    width: 100%;
}


        .categories-wrapper::before {
            content: "";
            position: absolute;
            top: -30px;
            left: 0;
            width: 70%;
            height: 2px;
            background-color: var(--secondary-color);

        }

        .description-wrapper::before {
            content: "";
            position: absolute;
            top: -30px;
            right: 0;
            width: 70%;
            height: 2px;
            background-color: var(--secondary-color);
        }

        .category {
            cursor: pointer;
            padding: 5px;
            display: block;
        }

            .category:hover {
                background-color: var(--background-colour);
                color: var( --secondary-color);
                border-radius: 20px;
            }

        .cat-heading {
            display: flex;
            justify-content: center;
            width: 100%;
            padding-top: 100px;
            padding-bottom: 50px;
        }

        .cat-heading-title {
            font-weight: bold;
            font-style: italic;
            color: var(--secondary-color);
            font-size: 3rem;
        }

        .categories::-webkit-scrollbar-track,
        .description::-webkit-scrollbar-track,
        .categories::-webkit-scrollbar-thumb,
        .description::-webkit-scrollbar-thumb,
        .categories::-webkit-scrollbar,
        .description::-webkit-scrollbar {
            width: 8px;
            border: none;
            background: transparent;
        }

        /* Styles for the scrollbar track (background) */
        .categories::-webkit-scrollbar-track,
        .description::-webkit-scrollbar-track {
            background: white;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            background-clip: padding-box;
        }

        /* Styles for the scrollbar handle */
        .categories::-webkit-scrollbar-thumb,
        .description::-webkit-scrollbar-thumb {
            background-color: #AFC7CF;
            border-radius: 10px;
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);

        }

        .categories::-webkit-scrollbar-button,
        .description::-webkit-scrollbar-button,
        .categories::-webkit-scrollbar-track-piece,
        .description::-webkit-scrollbar-track-piece,
        .categories::-webkit-scrollbar-corner,
        .description::-webkit-scrollbar-corner,
        .categories::-webkit-resizer,
        .description::-webkit-resizer {
            display: none;
        }

        /* Styles for the scrollbar itself (width, etc.) */
        .categories::-webkit-scrollbar,
        .description::-webkit-scrollbar {
            width: 12px;
        }

        /* Optional: styles for the scrollbar when hovering over the scrollbar handle */
        .categories::-webkit-scrollbar-thumb:hover,
        .description::-webkit-scrollbar-thumb:hover {
            background: #555;
        }

.category-selected {
    background-color: var(--background-colour);
    color: var( --secondary-color);
    font-weight: bold;
    border-radius: 20px;
}

.category-name {
    margin-bottom: 10px;
    color: var( --secondary-color);
    font-size: 24px;
    font-weight: bold;
    font-style: italic;
    text-align: center;
}

        .category-description {
            color: white;
            font-size: 16px;
            text-align: center;
            margin-left: 20px;
            margin-right: 20px;

        }

        .hero-p {
            padding-right: 50px;
            margin-bottom: 30px;
            color:white;
        }

        .content-wrapper {
            display: flex;
            justify-content: center;

        }

/*        .section-title-wrapper {
            width: 80%;
            margin-left: 10%;
        }*/

        .btn-cont {
            display: flex;
            justify-content: start;
            
        }

        @media (max-width: 768px) {
            .hero-container {
                grid-template-columns: 1fr;
                grid-template-rows: auto auto auto; /* Adjust rows for stacked layout */
                text-align: center; /* Center content for a better look on mobile */
            }

            .cat-heading {
                padding-top: 150px;
            }

            .cat-heading-title {
                font-size: 2.2rem !important;
            }

            .btn-cont {
                justify-content: center;
            }

        
            .hero-tr h1, .hero-br h1 {
                font-size: 4rem; /* Adjust headline size for mobile */
            }
        
            /* Adjust button sizes for better mobile interaction */
            .view-cat, .submit-ent {
                width: 175px !important;
                height: 50px;
                font-size: 0.8rem;
            }
        
            /* Adjust section title for better visibility on mobile */
            .section-title {
                font-size: 2rem;
            }
        
            /* Ensure content fits well on mobile screens */
            .content {
                display: block; /* Stack content vertically */
            }

            .description-wrapper::before {
                left: 0;
            }

            .hero-p {
                padding-right: 50px;
                padding-left: 50px;
                margin-bottom: 30px;
                color:white;
            }
        
            /* Adjust category and description areas for mobile */
            .categories, .description {
                height: 20vh; 
                padding: 20px; /* Increase padding for better readability */
                margin-bottom: 5vh;
            }
        }

.hero-container {
    width: 100%;
    padding: 30px; /* Adjusted padding for better spacing */
}

.white {
    color:white;
}

.yellow {
    color: var( --secondary-color);
}

.bold {
    font-weight:bolder;
    font-style:italic
}

.subpar-heading {
    font-size: 4rem;
    font-weight: bolder;
    font-style: italic;
    color: var( --secondary-color);
}


@media (max-width: 768px) {
    .hero-container {
        flex-direction: column; /* Stack image and text vertically on small screens */
    }

    .btn-cont {
        justify-content: center; /* Center buttons on small screens */
    }

    .hero-tr h1, .hero-br h1 {
        font-size: 4rem; /* Adjust headline size for readability on mobile */
    }

    .section-title {
        font-size: 1.8rem;
    }

    .subpar-heading-cont {
        padding-left:20px;
    }

    .category-name{
        font-size:16px;
    }

    .category {
        font-size:16px;
    }


    .content {
        width: 97%;
    }

    .hero-img {
        height: 200px;
    }

    #top-div {
        padding-left: 25px;
        padding-right: 25px;
    }

}

@media (max-width: 400px) {
    .content {
        width: 100%;
    }
}

    @media (max-width: 1000px) {
        .hero-tr {
            justify-content: center
        }

    }





        


